wlan-decoder-java 1.0

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Pages
Static Public Attributes | List of all members
fr.bmartel.protocol.wlan.constant.WlanFrameSubType Class Reference

## Static Public Attributes
static final byte | MANAGEMENT_ASSOCIATION_REQUEST_FRAME = 0x00
static final byte | MANAGEMENT_ASSOCIATION_RESPONSE_FRAME = 0x01
static final byte | MANAGEMENT_REASSOCIATION_REQUEST_FRAME = 0x02
static final byte | MANAGEMENT_REASSOCIATION_RESPONSE_FRAME = 0x03
static final byte | MANAGEMENT_PROBE_REQUEST_FRAME = 0x04
static final byte | MANAGEMENT_PROBE_RESPONSE_FRAME = 0x05
static final byte | MANAGEMENT_BEACON_FRAME = 0x08
static final byte | MANAGEMENT_ANNOUNCEMENT_TRAFFIC_INDICATION_MESSAGE_FRAME = 0x09
static final byte | MANAGEMENT_DISASSOCIATION_FRAME = 0x0A
static final byte | MANAGEMENT_AUTHENTICATION_FRAME = 0x0B
static final byte | MANAGEMENT_DEAUTHENTICATION_FRAME = 0x0C
static final byte | CONTROL_POWER_SAVE_POLLING_PACKET = 0x0A
static final byte | CONTROL_REQUEST_TO_SEND = 0x0B
static final byte | CONTROL_CLEAR_TO_SEND = 0x0C
static final byte | CONTROL_ACK = 0x0D
static final byte | CONTROL_SIGNAL_CONTENTION_FREE = 0x0E
static final byte | CONTROL_SIGNAL_CONTENTION_FREE_AND_RECEIVE_ACK = 0x0F
static final byte | DATA_FRAME = 0x00
static final byte | DATA_CONTENTION_FREE_ACK = 0x01
static final byte | DATA_CONTENTION_FREE_POLL = 0x02
static final byte | DATA_CONTENTION_FREE_ACK_PLUS_POLL = 0x03
static final byte | DATA_NULL_FRAME = 0x04
static final byte | CONTENTION_FREE_ACK = 0x05
static final byte | CONTENTION_FREE_POLL = 0x06
static final byte | CONTENTION_FREE_ACK_PLUS_POLL = 0x07
static final byte | DATA_QOS_FRAME = 0x08
static final byte | DATA_QOS_CONTENTION_FREE_ACK_FRAME = 0x09
static final byte | DATA_QOS_CONTENTION_FREE_POLL_FRAME = 0x0A
static final byte | DATA_QOS_CONTENTION_FREE_ACK_PLUS_POLL_FRAME = 0x0B
static final byte | DATA_QOS_NULL_FRAME = 0x0C
static final byte | QOS_CONTENTION_FREE_ACK_FRAME = 0x0D
static final byte | QOS_CONTENTION_FREE_POLL_FRAME = 0x0E
static final byte | QOS_CONTENTION_FREE_ACK_PLUS_POLL_FRAME = 0x0F

## Detailed Description

Define Wlan frame subtype list
http://www.wildpackets.com/resources/compendium/wireless_lan/ wlan_packet_types
http://flylib.com/books/en/2.799.1.38/1/

Author
  Bertrand Martel

The documentation for this class was generated from the following file:

- /home/abathur/Bureau/wlandecoder/wlandecoder/src/fr/bmartel/protocol/wlan/constant/WlanFrameSubType.java